unit ODBCReg;

{==============================================================================}
{ Delphi 3 components for develloping powerful softwares                       }
{                                                                              }
{ This unit contains SmartSoft ODBC register components and properties editors }
{ (ODBCReg.Pas)                                                                }
{                                                                              }
{ written by Kosta Corriveau & Stephane Asselin                                }
{ Copyright (c) 1998                                                           }
{==============================================================================}

interface

uses
  SysUtils, Classes, DsgnIntf, ODBCObj, ODBCProp, ODBCAbt, ParmsEditor, ODBCUpd;

procedure Register;                                                             // Register function declaration for Components and Properties 

{$R ODBCReg.RES}

implementation

procedure Register;
begin
  RegisterComponents('ODBC98 Data', [TODBCSESSION]);                            // Put the components into the 'ODBC98 Data Access' Component Bar
  RegisterComponents('ODBC98 Data', [TODBCDATABASE]);
  RegisterComponents('ODBC98 Data', [TODBCTABLE]);
  RegisterComponents('ODBC98 Data', [TODBCQUERY]);
  RegisterComponents('ODBC98 Data', [TODBCDATASOURCE]);
  RegisterComponents('ODBC98 Data', [TODBCUPDATESQL]);
                                                                                // Registers User Defined property editors

  RegisterPropertyEditor(TypeInfo(TDSN), TODBCDataBase, 'DataSourceName',       // PropertyEditor for retrieving Datasources
                         TDSNProperty);
  RegisterPropertyEditor(TypeInfo(TTblList), TODBCDataSet, 'TableName',         // PropertyEditor for retrieving Tables and views from a DataBase
                         TTblListProperty);
  RegisterPropertyEditor(TypeInfo(TODBCInfo), nil, 'About',                     // PropertyEditor for About Box Help dialogs
                         TAboutProperty);
  RegisterPropertyEditor(TypeInfo(TODBCParams), nil, 'Params',                  // PropertyEditor for Setting TODBCQuery Params dialog
                         TParamsEditProperty);
  RegisterComponentEditor(TODBCUpdateSQL, TODBCUpdateSQLComponentEdit);         // Registering property editor for TODBCUpdateSQL
end;

end.
